<?php
class Box extends AppModel {

	var $name = 'Box';
	var $validate = array(
		'shipment_id' => array('numeric')
	);

	//The Associations below have been created with all possible keys, those that are not needed can be removed
	var $belongsTo = array(
		'Shipment' => array(
			'className' => 'Shipment',
			'foreignKey' => 'shipment_id',
			'counterCache' => 'box_count'
		)
	);

}
?>